<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BusinessBroadcastListAction extends \Google\Protobuf\Internal\Message
{
    


    protected $deleted = null;
    


    private $participants;
    


    protected $listName = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDeleted()
    {
        return isset($this->deleted) ? $this->deleted : false;
    }

    public function hasDeleted()
    {
        return isset($this->deleted);
    }

    public function clearDeleted()
    {
        unset($this->deleted);
    }

    




    public function setDeleted($var)
    {
        GPBUtil::checkBool($var);
        $this->deleted = $var;

        return $this;
    }

    



    public function getParticipants()
    {
        return $this->participants;
    }

    




    public function setParticipants($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\SyncActionValue\BroadcastListParticipant::class);
        $this->participants = $arr;

        return $this;
    }

    



    public function getListName()
    {
        return isset($this->listName) ? $this->listName : '';
    }

    public function hasListName()
    {
        return isset($this->listName);
    }

    public function clearListName()
    {
        unset($this->listName);
    }

    




    public function setListName($var)
    {
        GPBUtil::checkString($var, True);
        $this->listName = $var;

        return $this;
    }

}

